# signature { license=0, seed=457995617, key="08110cf3f81e974e39dc19cc6025a417" }
--



local copas = require("copas")
local smtp = require("socket.smtp")

local create = function() return copas.wrap(socket.tcp()) end
local forwards = { -- setting these will be forwarded to the original smtp module
	PORT = true,
	SERVER = true,
	TIMEOUT = true,
	DOMAIN = true,
	TIMEZONE = true
}

copas.smtp = setmetatable({}, { 

		__index = smtp,

		__newindex = function(self, key, value)
			if forwards[key] then smtp[key] = value return end
			return rawset(self, key, value)
		end,
	})
local _M = copas.smtp

_M.send = function(mailt)
	mailt.create = mailt.create or create
	return smtp.send(mailt)
end

return _M
